%if 0%{?fedora} > 12 || 0%{?rhel} >= 8
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global pkgname pgpdump

Name:           python-%{pkgname}
Version:        1.5
Release:        4%{?dist}
Summary:        PGP packet parser library in Python 2.x
URL:            https://github.com/toofishes/python-pgpdump
Source0:        https://pypi.python.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz
Source1:        https://github.com/toofishes/python-pgpdump/raw/master/testdata/partial_length.gpg
License:        BSD
BuildArch:      noarch
BuildRequires:  python2-devel

%if 0%{?with_python3}
%description
python-pgpdump is a Python 2 library for parsing PGP packets. The intent here
is not on completeness, as we don't currently decode every packet type, but
on being able to do what people actually have to 95% of the time.

Currently supported things include:

* Signature packets
* Public key packets
* Secret key packets
* Trust, user ID, and user attribute packets
* ASCII-armor decoding and CRC check

%package -n     python3-%{pkgname}
Summary:        PGP packet parser library in Python 3.x
BuildRequires:  python3-devel

%description -n python3-%{pkgname}
python-pgpdump is a Python 3 library for parsing PGP packets. The intent here
is not on completeness, as we don't currently decode every packet type, but
on being able to do what people actually have to 95% of the time.

Currently supported things include:

* Signature packets
* Public key packets
* Secret key packets
* Trust, user ID, and user attribute packets
* ASCII-armor decoding and CRC check
%endif

%prep
%setup -qc
cp -p %{S:1} %{pkgname}-%{version}/testdata/
mv %{pkgname}-%{version} python2
pushd python2
cp -a README* COPYRIGHT ../
popd

%if 0%{?with_python3}
cp -a python2 python3
find python3 -name '*.py' -exec sed -i '1s|^#!python|#!%{__python3}|' {} +
%endif

find python2 -name '*.py' -exec sed -i '1s|^#!python|#!%{__python2}|' {} +

%build
pushd python2
%{__python2} setup.py build
popd

%if 0%{?with_python3}
pushd python3
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd python3
%{__python3} setup.py install --prefix=%{_prefix} -O1 --skip-build --root=%{buildroot}
popd
%endif

pushd python2
%{__python2} setup.py install --prefix=%{_prefix} -O1 --skip-build --root=%{buildroot}
popd

%check
pushd python2
PYTHONPATH=%{buildroot}%{python2_sitelib} %{__python2} pgpdump/test.py
popd

%if 0%{?with_python3}
pushd python3
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} pgpdump/test.py
popd
%endif

%files
%doc README.md
%license COPYRIGHT
%{python2_sitelib}/%{pkgname}-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/%{pkgname}/

%if 0%{?with_python3}
%files -n python3-%{pkgname}
%doc README.md
%license COPYRIGHT
%{python3_sitelib}/%{pkgname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pkgname}/
%endif

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Jul 27 2015 Christopher Meng <rpm@cicku.me> - 1.5-1
- Update to 1.5

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Wed Dec 19 2012 Christopher Meng <rpm@cicku.me> - 1.4-1
- Initial Package.
